> ## Documentation Index
> Fetch the complete documentation index at: https://www.edenai.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Response

> Retrieve a stored model response by ID.



## OpenAPI

````yaml /api-reference/v3-openapi.json get /v3/responses/{response_id}
openapi: 3.1.0
info:
  title: Eden AI API V3
  version: 3.0.0
servers:
  - url: https://api.edenai.run
    description: Production server
security: []
paths:
  /v3/responses/{response_id}:
    get:
      tags:
        - Responses
      summary: Retrieve Response
      description: Retrieve a stored model response by ID.
      operationId: retrieve_response_v3_responses__response_id__get
      parameters:
        - name: response_id
          in: path
          required: true
          schema:
            type: string
            title: Response Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LLMResponseObject'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthBearer: []
components:
  schemas:
    LLMResponseObject:
      properties:
        cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Cost
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        id:
          type: string
          title: Id
        object:
          type: string
          const: response
          title: Object
          default: response
        created_at:
          type: integer
          title: Created At
        model:
          type: string
          title: Model
        status:
          type: string
          title: Status
        output:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseOutputMessage'
              - additionalProperties: true
                type: object
          type: array
          title: Output
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        previous_response_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Response Id
        usage:
          anyOf:
            - $ref: '#/components/schemas/ResponseUsage'
            - type: 'null'
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - id
        - created_at
        - model
        - status
        - output
      title: LLMResponseObject
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ResponseOutputMessage:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          const: message
          title: Type
        role:
          type: string
          const: assistant
          title: Role
        status:
          type: string
          title: Status
        content:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseOutputText'
              - $ref: '#/components/schemas/ResponseOutputRefusal'
              - additionalProperties: true
                type: object
          type: array
          title: Content
      type: object
      required:
        - id
        - type
        - role
        - status
        - content
      title: ResponseOutputMessage
    ResponseUsage:
      properties:
        input_tokens:
          type: integer
          title: Input Tokens
        output_tokens:
          type: integer
          title: Output Tokens
        total_tokens:
          type: integer
          title: Total Tokens
        input_tokens_details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Input Tokens Details
        output_tokens_details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Output Tokens Details
      type: object
      required:
        - input_tokens
        - output_tokens
        - total_tokens
      title: ResponseUsage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ResponseOutputText:
      properties:
        type:
          type: string
          const: output_text
          title: Type
        text:
          type: string
          title: Text
        annotations:
          items: {}
          type: array
          title: Annotations
          default: []
      type: object
      required:
        - type
        - text
      title: ResponseOutputText
    ResponseOutputRefusal:
      properties:
        type:
          type: string
          const: refusal
          title: Type
        refusal:
          type: string
          title: Refusal
      type: object
      required:
        - type
        - refusal
      title: ResponseOutputRefusal
  securitySchemes:
    AuthBearer:
      type: http
      scheme: bearer

````